%bcond_without reconf

Name: libpipeline
Version: 1.5.1
Release: 2
License: GPL-3.0-or-later
Summary: Pipeline manipulation library
Url: http://www.nongnu.org/libpipeline

Source0: https://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: m4-gnu
BuildRequires: libtool
BuildRequires: pkg-config
%endif

%description
libpipeline is a C library for manipulating pipelines of subprocesses in a 
flexible and convenient way.

%package -n libpipeline1
Summary: libpipeline library
Provides: %{name} = %{version}

%description -n libpipeline1
libpipeline shared libraries

%package devel
Summary: libpipeline development files
Requires: libpipeline1 = %{version}-%{release}

%description devel
libpipeline development files

%prep
%setup -q

%build

%if %{with reconf}
autoreconf -fi
%else
%define _host powerpc-ibm-aix6
%endif

%configure \
  CPPFLAGS='-D_LINUX_SOURCE_COMPAT' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --disable-dependency-tracking \
  --disable-static \
  --disable-rpath \
  # end
  
%make_build

%install

%make_install

rm %{buildroot}/%{_libdir}/*.la || :

  

%files -n libpipeline1
%defattr(-, qsys, *none)

%{_libdir}/libpipeline.so.1

%license COPYING
%doc NEWS
%doc ChangeLog
%doc README

%files devel
%defattr(-, qsys, *none)

%{_mandir}/man3/pipeline_want_in.3*
%{_mandir}/man3/pipecmd_get_nargs.3*
%{_mandir}/man3/pipecmd_setenv.3*
%{_mandir}/man3/pipeline_pump.3*
%{_mandir}/man3/pipecmd_args.3*
%{_mandir}/man3/pipecmd_dump.3*
%{_mandir}/man3/pipecmd_new.3*
%{_mandir}/man3/pipeline_peek_skip.3*
%{_mandir}/man3/pipeline_want_infile.3*
%{_mandir}/man3/pipeline_command_args.3*
%{_mandir}/man3/pipeline_get_command.3*
%{_mandir}/man3/pipecmd_tostring.3*
%{_mandir}/man3/pipeline_tostring.3*
%{_mandir}/man3/pipecmd_argv.3*
%{_mandir}/man3/pipeline_new.3*
%{_mandir}/man3/pipeline_wait.3*
%{_mandir}/man3/pipecmd_chdir.3*
%{_mandir}/man3/pipeline_peekline.3*
%{_mandir}/man3/pipeline_command.3*
%{_mandir}/man3/pipeline_ignore_signals.3*
%{_mandir}/man3/pipeline_join.3*
%{_mandir}/man3/pipecmd_fchdir.3*
%{_mandir}/man3/pipecmd_new_sequence.3*
%{_mandir}/man3/pipeline_get_pid.3*
%{_mandir}/man3/pipecmd_discard_err.3*
%{_mandir}/man3/pipeline_set_command.3*
%{_mandir}/man3/pipeline_start.3*
%{_mandir}/man3/pipecmd_clearenv.3*
%{_mandir}/man3/pipeline_install_post_fork.3*
%{_mandir}/man3/pipecmd_arg.3*
%{_mandir}/man3/pipeline_wait_all.3*
%{_mandir}/man3/pipeline_command_argstr.3*
%{_mandir}/man3/pipeline_connect.3*
%{_mandir}/man3/pipeline_new_command_args.3*
%{_mandir}/man3/pipeline_commands.3*
%{_mandir}/man3/pipeline_readline.3*
%{_mandir}/man3/pipeline_run.3*
%{_mandir}/man3/pipeline_command_argv.3*
%{_mandir}/man3/pipecmd_new_args.3*
%{_mandir}/man3/pipeline_dump.3*
%{_mandir}/man3/pipeline_new_commandv.3*
%{_mandir}/man3/pipecmd_new_sequencev.3*
%{_mandir}/man3/pipecmd_new_argstr.3*
%{_mandir}/man3/pipeline_commandv.3*
%{_mandir}/man3/pipecmd_new_function.3*
%{_mandir}/man3/pipecmd_new_argv.3*
%{_mandir}/man3/pipecmd_unsetenv.3*
%{_mandir}/man3/pipecmd_exec.3*
%{_mandir}/man3/pipeline_peek.3*
%{_mandir}/man3/pipeline_get_ncommands.3*
%{_mandir}/man3/pipecmd_dup.3*
%{_mandir}/man3/pipecmd_argf.3*
%{_mandir}/man3/pipeline_get_infile.3*
%{_mandir}/man3/pipecmd_sequence_command.3*
%{_mandir}/man3/pipeline_peek_size.3*
%{_mandir}/man3/pipeline_free.3*
%{_mandir}/man3/pipeline_read.3*
%{_mandir}/man3/pipecmd_nice.3*
%{_mandir}/man3/pipecmd_free.3*
%{_mandir}/man3/pipecmd_new_passthrough.3*
%{_mandir}/man3/pipeline_new_commands.3*
%{_mandir}/man3/pipecmd_argstr.3*
%{_mandir}/man3/pipeline_new_command_argv.3*
%{_mandir}/man3/pipeline_want_outfile.3*
%{_mandir}/man3/pipeline_want_out.3*
%{_mandir}/man3/pipeline_get_outfile.3*
%{_mandir}/man3/libpipeline.3*
%{_mandir}/man3/pipecmd_pre_exec.3*

%{_libdir}/libpipeline.so

%{_libdir}/pkgconfig/libpipeline.pc

%{_includedir}/pipeline.h


%changelog
* Mon Jun 15 2020 Kevin Adler <kadler@us.ibm.com> - 1.5.1
- Build with _LINUX_SOURCE_COMPAT to prevent crash

* Fri May 8 2020 Eric Simpson <esimpson@ca.ibm.com>
- upgrade to 1.5.1

* Mon Apr 27 2020 Eric Simpson <esimpson@ca.ibm.com>
- use autoreconf to build svr4 style shared libs

* Tue Aug 13 2019 Eric Simpson <esimpson@ca.ibm.com>
- initial build for IBM i
